%define ver_major 2.4

Name: gnome-system-monitor
Version: %ver_major.0
Release: alt1

Summary: Simple process monitor
License: LGPL
Group: Monitoring
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libgnomeui_ver 2.4.0
%define libgtop_ver 2.0.5
%define libwnck_ver 2.4.0
%define scrollkeeper_ver 0.3.12
%define GConf_ver 2.4.0
%define rpm_ver 4.0.4-alt14

PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver

Requires: libgnomeui >= %libgnomeui_ver
Requires: libgtop2 >= %libgtop_ver
Requires: libwnck >= %libwnck_ver

BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: rpm >= %rpm_ver

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-vfs2-devel libGConf2-devel libORBit2 libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libgdbm-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libjpeg libpango-devel libpopt-devel libssl libstartup-notification-devel libwnck-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q

%build
%configure --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): needs="x11" section="Applications/Monitoring" \
title="Simple System Monitor" longtitle="System Monitor for GNOME desktop" \
command="%_bindir/%name" icon="procman.png"
__MENU__

%find_lang --with-gnome %name

%post
%update_scrollkeeper
%gconf2_install %name
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Fri Jun 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt1
- new version.

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt2
- rebuild with new pango, gtk+

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2-alt1
- First build for Sisyphus.
